package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF8G5Response {

    @Parameter(name = "BUSINESS_ADDRESS_CITY")
    String businessAddressCity();

    @Parameter(name = "BUSINESS_ADDRESS_COUNTRY")
    String businessAddressCountry();

    @Parameter(name = "BUSINESS_ADDRESS_DESCRIPTIVE_NUMBER")
    String businessAddressDescriptiveNumber();

    @Parameter(name = "BUSINESS_ADDRESS_DESCRIPTIVE_NUMBER_TYPE")
    String businessAddressDescriptiveNumberType();

    @Parameter(name = "BUSINESS_ADDRESS_ID")
    String businessAddressId();

    @Parameter(name = "BUSINESS_ADDRESS_ORIENTATION_NUMBER")
    String businessAddressOrientationNumber();

    @Parameter(name = "BUSINESS_ADDRESS_STREET")
    String businessAddressStreet();

    @Parameter(name = "BUSINESS_ADDRESS_ZIP")
    String businessAddressZip();

    @Parameter(name = "BUSINESS_NAME")
    String businessName();

    @Parameter(name = "COMMENCEMENT_DATE")
    java.util.Date commencementDate();

    @Parameter(name = "Data")
    java.util.List<MWF8G5Data> data();

    @Parameter(name = "ECONOMIC_SECTOR_CODE")
    String economicSectorCode();

    @Parameter(name = "ECONOMIC_SECTOR_NAME")
    String economicSectorName();

    @Parameter(name = "EMPLOYEE_COUNT_CATEGORY")
    String employeeCountCategory();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "LEGAL_FORM_CODE")
    String legalFormCode();

    @Parameter(name = "LEGAL_FORM_NAME")
    String legalFormName();

    @Parameter(name = "STATUS_CODE")
    Long statusCode();

    @Parameter(name = "STATUS_MESSAGE")
    String statusMessage();

}